Bug 520327 - Unable to build for epel-5-i386 and possibly others
Summary: Unable to build for epel-5-i386 and possibly others
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-30 17:31 UTC by Daniel Sjoholm
Modified: 2013-01-10 05:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 09:41:55 UTC


Attachments (Terms of Use)
EPEL now uses Koji (2.78 KB, patch)
2009-08-30 17:40 UTC, Jeroen van Meeuwen
no flags Details | Diff

Description Daniel Sjoholm 2009-08-30 17:31:40 UTC
Description of problem:
epel-5-i386 (possibly other build targets) will not build due to that the [local] repository is no longer valid.


Version-Release number of selected component (if applicable):
mock-0.9.17-1.fc10.noarch

How reproducible:
Always

Steps to Reproduce:
1. Build anything with the epel-5-i386 target
  
Actual results:
ERROR: Command failed: 
 # /usr/bin/yum --installroot /var/lib/mock/epel-5-i386/root/  install buildsys-build
http://buildsys.fedoraproject.org/plague-results/fedora-5-epel/repodata/repomd.xml: [Errno 14] HTTP Error 404: Not Found
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: local. Please verify its path and try again

Expected results:
A clean build

Additional info:
Removing the [local] repository inside /etc/mock/epel-5-i386.cfg makes mock continue like usual.

Comment 1 Jeroen van Meeuwen 2009-08-30 17:40:56 UTC
Created attachment 359199 [details]
EPEL now uses Koji

Patch (removing the [local] repository)

Comment 2 Jesse Keating 2009-08-31 16:25:56 UTC
Grr.  Dennis said he was going to fix this in the mock package for us...

Comment 3 Ville Skyttä 2009-09-02 17:06:47 UTC
Same thing with mock-0.9.17-1.fc11

Comment 4 Bug Zapper 2009-11-18 12:13:32 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Ville Skyttä 2009-11-18 21:55:55 UTC
Seems to be fixed in mock-0.9.17-3.fc11.noarch

Comment 6 Bug Zapper 2009-12-18 09:41:55 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.